### Signal

# Vte Terminal::eof

#### Declaration

    void
    eof (
      VteTerminal* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the terminal receives an end-of-file from a child which is running in the terminal. This signal is frequently (but not always) emitted with a `VteTerminal::child-exited` signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.